<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="listid" type="hidden" />
	<div class="form-line clearfix" >
		<div class="fl">
			<span class="text-content"><em class="must"></em>目录编号：</span> 
			<input id="listnum" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="目录编号必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must">*</em>目录名称：</span> 
			<input id="listname" class="easyui-textbox" data-options="required:true,validType:'length[0,40]'" missingMessage="目录名称必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must">*</em>所在服务器：</span> 
			<input id="machineid" class="easyui-combobox" data-options="required:true,validType:'length[0,40]'" missingMessage="机器名称必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>开发公司：</span> 
			<input id="listdevelopcompany" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="开发公司必填项" > 
		</div>
		<!-- <div class="fl">
			<span class="text-content"><em class="must">*</em>应用类型：</span> 
			<input id="listtype" class="easyui-combobox" data-options="required:true,validType:'length[0,40]'" missingMessage="应用类型必填项" > 
		</div> --> 	
	</div>
	
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>部署时间：</span> 
			<input id="listdeploytime" class="easyui-datetimebox" data-options="required:false,validType:'length[0,19]'" missingMessage="必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>部署位置：</span> 
			<input id="listposition" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="位置描述必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		
		<div class="fl">
			<span class="text-content"><em class="must">*</em>是否启用：</span> 
			<input id="detectionswitch" class="easyui-combobox" data-options="required:true,validType:'length[0,10]'" missingMessage="是否启用必填项" > 
		</div> 	
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>目录描述：</span> 
			<textarea id="listdescribe"  style="width:441px;height:100px"></textarea>  			
		</div>
		<!-- <div class="fl">
			<span class="text-content"><em class="must"></em>目录描述：</span> 
			<input id="listdescribe" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="目录描述必填项" > 
		</div> 	 -->
		<!-- 
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="remarks" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="备注必填项" > 
		</div>
		-->
	</div>
	
	
	

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	$('#machineid').combobox({
		 url:'ywmachineinfoAction!query_Ywmachineinfo.do',
		 textField:"machinename",  
		 valueField:"machineid",
		 panelWidth:148,
		 value:"" 
	});
	
	
	$('#detectionswitch').combobox({
		 url:'xtclAction!query_Xtcl.do?csdl=ywTaskEnable',
		 textField:"csmc",  
		 valueField:"csdm",
		 panelWidth:148,
		 value:"1" 
	});
	
	$('#listtype').combobox({
		 url:'xtclAction!query_Xtcl.do?csdl=ywSoftWareType',
		 textField:"csmc",  
		 valueField:"csdm",
		 panelWidth:148,
		 value:"1" 
	});
	
	setTimeout(loadValue,500);
	
});
function loadValue(){
	if(records){
		$("#listid").val(records.listid);
		$("#machineid").combobox("setValue",records.machineid);
		$("#listnum").textbox("setValue",records.listnum);
		$("#listname").textbox("setValue",records.listname);
		$("#listtype").combobox("setValue",records.listtype);
		$("#listdevelopcompany").textbox("setValue",records.listdevelopcompany);
		$("#listdeploytime").textbox("setValue",records.listdeploytime);
//		$("#listdescribe").textbox("setValue",records.listdescribe);
		$("#listdescribe").val(records.listdescribe);
		$("#listposition").textbox("setValue",records.listposition);
		$("#listareanum").textbox("setValue",records.listareanum);
		$("#liststatus").combobox("setValue",records.liststatus);
		$("#detectionswitch").combobox("setValue",records.detectionswitch);
		$("#detectionstarttime").textbox("setValue",records.detectionstarttime);
		$("#createaccount").textbox("setValue",records.createaccount);
		$("#createtime").textbox("setValue",records.createtime);
		$("#modifyaccount").textbox("setValue",records.modifyaccount);
		$("#modifytime").textbox("setValue",records.modifytime);
		$("#remarks").textbox("setValue",records.remarks);
		$("#extend1").textbox("setValue",records.extend1);
		$("#extend2").textbox("setValue",records.extend2);
		$("#extend3").textbox("setValue",records.extend3);
		$("#extend4").textbox("setValue",records.extend4);

	}else{
		
	}
}

</script>
